広告

ローカルの jar を Gradle の dependencies に追加する件

!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!
!!! 半年以上も前に書かれた古い情報です !!!

これ書いてる時点で Maven のセントラルリポジトリにある Lombok では Java 9 のプロジェクトをビルドできません。

というわけで、5日前にリリースされた edge release をローカルにダウンロードして使うことにしました。

Java 9 Annotation Processing Broken #1472
https://github.com/rzwitserloot/lombok/issues/1472

ソースコードプロジェクトにファイルを置いて、

dependencies {
    ...
    compileOnly files('lombok-edge.jar')
    testCompileOnly files('lombok-edge.jar')
    ...
}

広告

Gradle

Posted by admin